Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.elasticmapreduce.model
Class StepDetail

    java.lang.Object
      com.amazonaws.services.elasticmapreduce.model.StepDetail

    public class StepDetail

extends Object

Combines the execution state and configuration of a step.

Constructor Summary
`StepDetail()`

Method Summary
`StepExecutionStatusDetail` | `getExecutionStatusDetail()` The description of the step status.
`StepConfig` | `getStepConfig()` The step configuration.
`void` | `setExecutionStatusDetail(StepExecutionStatusDetail executionStatusDetail)` The description of the step status.
`void` | `setStepConfig(StepConfig stepConfig)` The step configuration.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`StepDetail` | `withExecutionStatusDetail(StepExecutionStatusDetail executionStatusDetail)` The description of the step status.
`StepDetail` | `withStepConfig(StepConfig stepConfig)` The step configuration.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StepDetail

    public StepDetail()

Method Detail

### getStepConfig

    public StepConfig getStepConfig()

  The step configuration.

  Returns:
    The step configuration.

### setStepConfig

    public void setStepConfig(StepConfig stepConfig)

  The step configuration.

  Parameters:
    `stepConfig` - The step configuration.

### withStepConfig

    public StepDetail withStepConfig(StepConfig stepConfig)

  The step configuration.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `stepConfig` - The step configuration.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getExecutionStatusDetail

    public StepExecutionStatusDetail getExecutionStatusDetail()

  The description of the step status.

  Returns:
    The description of the step status.

### setExecutionStatusDetail

    public void setExecutionStatusDetail(StepExecutionStatusDetail executionStatusDetail)

  The description of the step status.

  Parameters:
    `executionStatusDetail` - The description of the step status.

### withExecutionStatusDetail

    public StepDetail withExecutionStatusDetail(StepExecutionStatusDetail executionStatusDetail)

  The description of the step status.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `executionStatusDetail` - The description of the step status.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.